from re import match
from sys import stdin

data = stdin.readlines()
assert len(data) == 3

assert match(r'^[1-9][0-9]*\n$', data[0])
X = int( data[0] )

assert match(r'^[1-9][0-9]*\n$', data[1])
Q = int( data[1] )

assert match(r'^[1-9][0-9]*( [1-9][0-9]*)*\n$', data[2])
T = [ int(x) for x in data[2].split() ]

assert len(T) == Q

assert 1 <= Q <= 50
assert X not in [1,2,5,10,20,50,100,200,500,1000,2000,5000,10000,20000,50000]

ok = ''
if X <= 20 and max(T) <= 20: ok += '1'
if X == 100000 and max(T) <= 10**5: ok += '2'
if X <= 10**5 and max(T) <= 10**5: ok += '3'
if X <= 10**7 and max(T) <= 10**7: ok += '4'
if X <= 2 * 10**9 and max(T) <= 2 * 10**9: ok += '5'

assert ok != ''

print('OK', ok)

